%define anolis_release 3

Name:           hfsplus-tools
Summary:        Tools to create/check Apple HFS+ filesystems
Version:        540.1.linux3
Release:        %{anolis_release}%{?dist}
License:        APSL 2.0
URL:            http://gentoo-wiki.com/HOWTO_hfsplus
Source0:        http://cavan.codon.org.uk/~mjg59/diskdev_cmds/diskdev_cmds-%{version}.tar.gz
Patch0001:      0001-hfsplus-tools-no-blocks.patch
Patch0002:      0002-hfsplus-tools-learn-to-stdarg.patch
Patch0003:      0003-hfsplus-tools-sysctl.patch
Source100:      http://www.opensource.org/licenses/apsl-2.0.txt
BuildRequires:  libuuid-devel openssl-devel
BuildRequires:  gcc make
Conflicts: hfsplusutils

%description
hfsplus-tools is a set of utilities for working with the HFS+ file system,
which is the default file system used by Mac OS X. These utilities include
programs for manipulating HFS+ partition tables, formatting HFS+ partitions,
and reading and writing files on HFS+ partitions. The tools are designed to
be used on Linux and other Unix-like operating systems, allowing users to
access and manage HFS+ file systems from these platforms. Some of the tools
included in hfsplus-tools are hfsplus, which is used to mount and unmount HFS+ partitions,
and hfsplus_resize, which can be used to resize HFS+ partitions.

%prep
%autosetup -p1 -n hfsplus-mkfs-%{version} -n diskdev_cmds-%{version}

find . -type f -name '*.[ch]' -exec chmod -c -x {} +
cp %{SOURCE100} .

%build
export CFLAGS="%{optflags}"
%{make_build} %{?_smp_mflags} -f Makefile

%install
mkdir -p %{buildroot}/%{_sbindir}
cp fsck_hfs.tproj/fsck_hfs %{buildroot}/%{_sbindir}/fsck.hfsplus
cp newfs_hfs.tproj/newfs_hfs %{buildroot}/%{_sbindir}/mkfs.hfsplus

mkdir -p %{buildroot}/%{_mandir}/man8
cat fsck_hfs.tproj/fsck_hfs.8 | sed -e 's/[F|f]sck_hfs/fsck.hfsplus/g' \
    > %{buildroot}/%{_mandir}/man8/fsck.hfsplus.8
cat newfs_hfs.tproj/newfs_hfs.8 | sed -e 's/[N|n]ewfs_hfs/mkfs.hfsplus/g' \
    > %{buildroot}/%{_mandir}/man8/mkfs.hfsplus.8

pushd %{buildroot}/%{_sbindir}
ln -s fsck.hfsplus fsck.hfs
popd
pushd %{buildroot}/%{_mandir}/man8
ln -s fsck.hfsplus.8 fsck.hfs.8
popd

%files
%doc apsl-2.0.txt
%{_sbindir}/fsck.hfs
%{_sbindir}/fsck.hfsplus
%{_sbindir}/mkfs.hfsplus
%{_mandir}/man8/fsck.hfs.8.*
%{_mandir}/man8/fsck.hfsplus.8.*
%{_mandir}/man8/mkfs.hfsplus.8.*

%changelog
* Sat Apr 15 2023 Heng Qi <hengqi@linux.alibaba.com> - 540.1.linux3-3
- Refactor the spec file

* Tue Mar 07 2023 happy_orange <songnannan@linux.alibaba.com> - 540.1.linux3-2
- change the man file

* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 540.1.linux3-1
- Init pcakage from upstream
